Bug 788862 - Add more support for extlinux
Add more support for extlinux
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-09 01:49 EST by Chengwei Yang
Modified: 2015-02-17 09:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:06:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
use menu default to set default menu entry for extlinux (7.45 KB, patch)
2012-02-09 01:50 EST, Chengwei Yang
no flags Details | Diff
add menu lable support for extlinux (7.73 KB, patch)
2012-02-09 01:51 EST, Chengwei Yang
no flags Details | Diff
add linux directive support for extlinux (1.18 KB, patch)
2012-02-09 01:52 EST, Chengwei Yang
no flags Details | Diff

  None (edit)
Description Chengwei Yang 2012-02-09 01:49:06 EST
Description of problem:

extlinux use menu default to set default menu entry and the 'default' directive just like UI directive. Currently, grubby use 'default' directive to set default, this will cause extlinux can't find DEFAULT OR UI directive to load background.

menu label directive used to specify label which isn't suitable for the command line. For most of people, that's not very useful. However, grubby can update it to kernel name if it can recognize this key word, it's better than just copy the line from template.

add 'linux' directive support, since kernel is not only for linux, if a Linux kernel ends with '.0', that will caused problem to load because '.0' is the suffix of a PXE bootstrap program.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chengwei Yang 2012-02-09 01:50:30 EST
Created attachment 560461 [details]
use menu default to set default menu entry for extlinux
Comment 2 Chengwei Yang 2012-02-09 01:51:58 EST
Created attachment 560462 [details]
add menu lable support for extlinux
Comment 3 Chengwei Yang 2012-02-09 01:52:41 EST
Created attachment 560464 [details]
add linux directive support for extlinux
Comment 4 Matthew Miller 2013-02-04 14:43:06 EST
I think these patches need a little updating. I did the naive rearrangement to make the patches apply cleanly, and am getting the initrd from the existing stanza in the new one.
Comment 5 Fedora End Of Life 2013-04-03 13:03:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Matthew Miller 2013-05-17 08:24:21 EDT
Also: for the F19 bootloader, I went with putting "ui menu.c32" at the top of the file, which works around the "can't find default"... message.
Comment 7 Fedora End Of Life 2015-01-09 11:59:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 09:06:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.